Business types¶
Business type reference data is exposed at /api/business_types/. For field definitions, see the Business Types Data Dictionary.
Endpoints¶
GET /api/business_types/(list)GET /api/business_types/{code}/(detail)
Value formats¶
code: 2-character alphanumeric, typically uppercase (examples:A6,JT,XX,2R).certifier: In practice you’ll see a small set of values:SBA,AbilityOne,Government,Self.
Filtering¶
None.
Ordering¶
/api/business_types/ does not support ordering=....
Pagination¶
Business types use page-number pagination (static reference pagination defaults to larger pages):
page(default 1)limit(default 1000, max 10000)
Response shaping¶
This endpoint supports response shaping via the shape query parameter.
- Leaves:
name,code - No expansions.
Default shape (no ?shape= param): name,code
# Select a single field
/api/business_types/?shape=name
SDK examples¶
See also: Full SDK method reference — tango-python methods · tango-node methods.
import os
from tango import TangoClient
client = TangoClient(api_key=os.environ["TANGO_API_KEY"])
resp = client.list_business_types(limit=25)
print("count:", resp.count)
import { TangoClient } from "@makegov/tango-node";
const client = new TangoClient({ apiKey: process.env.TANGO_API_KEY });
const resp = await client.listBusinessTypes({ limit: 25 });
console.log("count:", resp.count);